# Wikidata feature lists

# To add/delete new properties from the `wikidatawiki.py` feature list we need
# to manually update this file.

# Currently the file contains a list of `NON_EXTERNAL_IDENTIFIERS` and
# `COMMONS_MEDIA` that we want to extract as features.
# `NON_EXTERNAL_IDENTIFIERS` is used instead of `EXTERNAL_IDENTIFIERS`
# because external identifiers comprise about 5000+ of the total 8000+
# properties currently on the database.
# Using NON_EXTERNAL_IDENTIFIERS (~2500) reduces the processing time.

# This list was obtained by making these queries:
# `NON_EXTERNAL_IDENTIFIERS`: https://quarry.wmflabs.org/query/47645
# `COMMONS_MEDIA`: https://quarry.wmflabs.org/query/47836
# and then doing a search and replace to format it as a python list.

NONEXTERNAL_IDENTIFIERS = [
    'P10',
    'P14',
    'P15',
    'P18',
    'P41',
    'P51',
    'P94',
    'P109',
    'P117',
    'P154',
    'P158',
    'P181',
    'P207',
    'P242',
    'P367',
    'P368',
    'P443',
    'P491',
    'P692',
    'P948',
    'P989',
    'P990',
    'P996',
    'P1442',
    'P1543',
    'P1621',
    'P1766',
    'P1801',
    'P1846',
    'P1943',
    'P1944',
    'P2343',
    'P2425',
    'P2713',
    'P2716',
    'P2910',
    'P2919',
    'P3030',
    'P3311',
    'P3383',
    'P3451',
    'P4004',
    'P4291',
    'P4640',
    'P4896',
    'P5252',
    'P5555',
    'P5775',
    'P5962',
    'P6655',
    'P6685',
    'P6802',
    'P7009',
    'P7407',
    'P7415',
    'P7417',
    'P7418',
    'P7420',
    'P7457',
    'P8195',
    'P8224',
    'P8505',
    'P8512',
    'P8517',
    'P3896',
    'P4047',
    'P8485',
    'P625',
    'P626',
    'P1259',
    'P1332',
    'P1333',
    'P1334',
    'P1335',
    'P2786',
    'P5140',
    'P2534',
    'P2535',
    'P3752',
    'P3753',
    'P3754',
    'P3755',
    'P3756',
    'P3757',
    'P4020',
    'P5350',
    'P5351',
    'P5352',
    'P6432',
    'P6835',
    'P7235',
    'P7973',
    'P8378',
    'P8416',
    'P8558',
    'P1448',
    'P1449',
    'P1450',
    'P1451',
    'P1476',
    'P1477',
    'P1549',
    'P1559',
    'P1635',
    'P1638',
    'P1680',
    'P1683',
    'P1684',
    'P1705',
    'P1813',
    'P1843',
    'P1922',
    'P2096',
    'P2275',
    'P2315',
    'P2441',
    'P2521',
    'P2559',
    'P2561',
    'P2562',
    'P2795',
    'P2916',
    'P3132',
    'P3321',
    'P3909',
    'P4239',
    'P5061',
    'P5168',
    'P5187',
    'P5831',
    'P6208',
    'P6251',
    'P6333',
    'P6346',
    'P6375',
    'P6427',
    'P6607',
    'P6833',
    'P7008',
    'P7081',
    'P7150',
    'P7243',
    'P7535',
    'P8338',
    'P8394',
    'P6604',
    'P6670',
    'P6686',
    'P6883',
    'P7598',
    'P7599',
    'P1081',
    'P1082',
    'P1083',
    'P1086',
    'P1087',
    'P1088',
    'P1090',
    'P1092',
    'P1093',
    'P1096',
    'P1097',
    'P1098',
    'P1099',
    'P1100',
    'P1101',
    'P1102',
    'P1103',
    'P1104',
    'P1106',
    'P1107',
    'P1108',
    'P1109',
    'P1110',
    'P1111',
    'P1113',
    'P1114',
    'P1117',
    'P1120',
    'P1121',
    'P1122',
    'P1123',
    'P1125',
    'P1126',
    'P1127',
    'P1128',
    'P1129',
    'P1132',
    'P1139',
    'P1141',
    'P1148',
    'P1164',
    'P1174',
    'P1181',
    'P1193',
    'P1198',
    'P1215',
    'P1247',
    'P1279',
    'P1295',
    'P1301',
    'P1314',
    'P1339',
    'P1342',
    'P1345',
    'P1350',
    'P1351',
    'P1352',
    'P1355',
    'P1356',
    'P1357',
    'P1358',
    'P1359',
    'P1373',
    'P1390',
    'P1410',
    'P1418',
    'P1436',
    'P1446',
    'P1457',
    'P1458',
    'P1470',
    'P1538',
    'P1539',
    'P1540',
    'P1548',
    'P1561',
    'P1590',
    'P1603',
    'P1641',
    'P1661',
    'P1674',
    'P1675',
    'P1676',
    'P1689',
    'P1697',
    'P1725',
    'P1752',
    'P1831',
    'P1833',
    'P1867',
    'P1868',
    'P1872',
    'P1873',
    'P1971',
    'P2021',
    'P2043',
    'P2044',
    'P2045',
    'P2046',
    'P2047',
    'P2048',
    'P2049',
    'P2050',
    'P2051',
    'P2052',
    'P2053',
    'P2054',
    'P2055',
    'P2056',
    'P2060',
    'P2066',
    'P2067',
    'P2068',
    'P2069',
    'P2073',
    'P2075',
    'P2076',
    'P2077',
    'P2097',
    'P2101',
    'P2102',
    'P2103',
    'P2105',
    'P2107',
    'P2109',
    'P2112',
    'P2113',
    'P2114',
    'P2116',
    'P2117',
    'P2118',
    'P2119',
    'P2120',
    'P2121',
    'P2124',
    'P2128',
    'P2129',
    'P2130',
    'P2131',
    'P2132',
    'P2133',
    'P2134',
    'P2135',
    'P2136',
    'P2137',
    'P2138',
    'P2139',
    'P2140',
    'P2141',
    'P2142',
    'P2143',
    'P2144',
    'P2145',
    'P2146',
    'P2147',
    'P2148',
    'P2149',
    'P2150',
    'P2151',
    'P2154',
    'P2160',
    'P2177',
    'P2196',
    'P2197',
    'P2198',
    'P2199',
    'P2200',
    'P2201',
    'P2202',
    'P2203',
    'P2204',
    'P2208',
    'P2211',
    'P2212',
    'P2213',
    'P2214',
    'P2215',
    'P2216',
    'P2217',
    'P2218',
    'P2219',
    'P2220',
    'P2221',
    'P2222',
    'P2223',
    'P2225',
    'P2226',
    'P2227',
    'P2228',
    'P2229',
    'P2230',
    'P2231',
    'P2232',
    'P2233',
    'P2234',
    'P2240',
    'P2243',
    'P2244',
    'P2248',
    'P2250',
    'P2254',
    'P2257',
    'P2260',
    'P2261',
    'P2262',
    'P2284',
    'P2292',
    'P2294',
    'P2295',
    'P2296',
    'P2297',
    'P2299',
    'P2300',
    'P2312',
    'P2313',
    'P2320',
    'P2324',
    'P2325',
    'P2351',
    'P2362',
    'P2370',
    'P2374',
    'P2386',
    'P2402',
    'P2403',
    'P2404',
    'P2405',
    'P2406',
    'P2407',
    'P2415',
    'P2430',
    'P2436',
    'P2437',
    'P2442',
    'P2527',
    'P2528',
    'P2532',
    'P2542',
    'P2547',
    'P2555',
    'P2556',
    'P2557',
    'P2565',
    'P2573',
    'P2583',
    'P2595',
    'P2599',
    'P2610',
    'P2630',
    'P2635',
    'P2645',
    'P2658',
    'P2659',
    'P2660',
    'P2661',
    'P2662',
    'P2663',
    'P2664',
    'P2665',
    'P2710',
    'P2712',
    'P2717',
    'P2718',
    'P2769',
    'P2781',
    'P2787',
    'P2790',
    'P2791',
    'P2793',
    'P2797',
    'P2803',
    'P2806',
    'P2807',
    'P2808',
    'P2834',
    'P2835',
    'P2836',
    'P2844',
    'P2854',
    'P2855',
    'P2873',
    'P2884',
    'P2895',
    'P2896',
    'P2899',
    'P2907',
    'P2911',
    'P2923',
    'P2927',
    'P2928',
    'P2929',
    'P2955',
    'P2957',
    'P2993',
    'P2997',
    'P2998',
    'P2999',
    'P3000',
    'P3001',
    'P3013',
    'P3020',
    'P3036',
    'P3039',
    'P3041',
    'P3063',
    'P3070',
    'P3071',
    'P3078',
    'P3086',
    'P3087',
    'P3157',
    'P3251',
    'P3252',
    'P3253',
    'P3260',
    'P3270',
    'P3271',
    'P3337',
    'P3362',
    'P3387',
    'P3395',
    'P3439',
    'P3457',
    'P3465',
    'P3485',
    'P3486',
    'P3487',
    'P3488',
    'P3492',
    'P3529',
    'P3530',
    'P3559',
    'P3575',
    'P3618',
    'P3629',
    'P3737',
    'P3738',
    'P3740',
    'P3744',
    'P3792',
    'P3840',
    'P3864',
    'P3872',
    'P3886',
    'P3891',
    'P3917',
    'P3934',
    'P3983',
    'P4010',
    'P4036',
    'P4080',
    'P4103',
    'P4105',
    'P4131',
    'P4135',
    'P4137',
    'P4140',
    'P4153',
    'P4163',
    'P4176',
    'P4183',
    'P4184',
    'P4214',
    'P4218',
    'P4242',
    'P4250',
    'P4253',
    'P4268',
    'P4269',
    'P4295',
    'P4296',
    'P4341',
    'P4350',
    'P4403',
    'P4441',
    'P4442',
    'P4445',
    'P4447',
    'P4448',
    'P4500',
    'P4501',
    'P4511',
    'P4519',
    'P4714',
    'P4815',
    'P4825',
    'P4826',
    'P4841',
    'P4851',
    'P4876',
    'P4895',
    'P4909',
    'P4912',
    'P4999',
    'P5022',
    'P5027',
    'P5043',
    'P5044',
    'P5045',
    'P5065',
    'P5066',
    'P5067',
    'P5069',
    'P5071',
    'P5141',
    'P5167',
    'P5205',
    'P5230',
    'P5281',
    'P5348',
    'P5349',
    'P5427',
    'P5428',
    'P5436',
    'P5447',
    'P5448',
    'P5474',
    'P5479',
    'P5480',
    'P5481',
    'P5483',
    'P5520',
    'P5524',
    'P5526',
    'P5529',
    'P5575',
    'P5582',
    'P5592',
    'P5593',
    'P5594',
    'P5595',
    'P5596',
    'P5608',
    'P5624',
    'P5630',
    'P5668',
    'P5669',
    'P5670',
    'P5672',
    'P5673',
    'P5674',
    'P5675',
    'P5676',
    'P5677',
    'P5678',
    'P5679',
    'P5681',
    'P5682',
    'P5685',
    'P5706',
    'P5708',
    'P5709',
    'P5811',
    'P5822',
    'P5893',
    'P5894',
    'P5895',
    'P5896',
    'P5897',
    'P5898',
    'P5899',
    'P5900',
    'P5929',
    'P5947',
    'P5982',
    'P5991',
    'P5992',
    'P5993',
    'P6000',
    'P6014',
    'P6069',
    'P6073',
    'P6075',
    'P6076',
    'P6088',
    'P6089',
    'P6125',
    'P6249',
    'P6257',
    'P6258',
    'P6260',
    'P6261',
    'P6272',
    'P6274',
    'P6343',
    'P6344',
    'P6354',
    'P6438',
    'P6497',
    'P6498',
    'P6499',
    'P6509',
    'P6510',
    'P6543',
    'P6544',
    'P6545',
    'P6546',
    'P6547',
    'P6570',
    'P6589',
    'P6590',
    'P6591',
    'P6639',
    'P6695',
    'P6697',
    'P6707',
    'P6708',
    'P6710',
    'P6711',
    'P6753',
    'P6757',
    'P6789',
    'P6790',
    'P6794',
    'P6801',
    'P6826',
    'P6856',
    'P6876',
    'P6879',
    'P6897',
    'P7015',
    'P7079',
    'P7080',
    'P7083',
    'P7256',
    'P7297',
    'P7316',
    'P7328',
    'P7379',
    'P7391',
    'P7422',
    'P7443',
    'P7462',
    'P7527',
    'P7584',
    'P7668',
    'P7725',
    'P7770',
    'P7787',
    'P7862',
    'P7863',
    'P7887',
    'P7971',
    'P8010',
    'P8011',
    'P8049',
    'P8093',
    'P8208',
    'P8247',
    'P8275',
    'P8328',
    'P8330',
    'P8340',
    'P8368',
    'P8398',
    'P8461',
    'P8465',
    'P8466',
    'P8476',
    'P8477',
    'P8497',
    'P215',
    'P217',
    'P223',
    'P225',
    'P229',
    'P230',
    'P233',
    'P238',
    'P239',
    'P240',
    'P246',
    'P249',
    'P274',
    'P281',
    'P296',
    'P304',
    'P348',
    'P370',
    'P373',
    'P393',
    'P395',
    'P416',
    'P424',
    'P426',
    'P433',
    'P444',
    'P465',
    'P473',
    'P474',
    'P478',
    'P487',
    'P490',
    'P502',
    'P528',
    'P529',
    'P554',
    'P555',
    'P561',
    'P564',
    'P591',
    'P593',
    'P613',
    'P617',
    'P627',
    'P644',
    'P645',
    'P656',
    'P667',
    'P670',
    'P711',
    'P712',
    'P713',
    'P742',
    'P792',
    'P798',
    'P799',
    'P820',
    'P835',
    'P847',
    'P874',
    'P875',
    'P876',
    'P877',
    'P879',
    'P897',
    'P898',
    'P920',
    'P935',
    'P952',
    'P958',
    'P965',
    'P969',
    'P993',
    'P994',
    'P995',
    'P1030',
    'P1031',
    'P1163',
    'P1183',
    'P1195',
    'P1240',
    'P1257',
    'P1282',
    'P1329',
    'P1353',
    'P1360',
    'P1402',
    'P1438',
    'P1461',
    'P1471',
    'P1472',
    'P1545',
    'P1588',
    'P1612',
    'P1618',
    'P1630',
    'P1671',
    'P1673',
    'P1685',
    'P1692',
    'P1721',
    'P1748',
    'P1762',
    'P1782',
    'P1785',
    'P1786',
    'P1787',
    'P1793',
    'P1796',
    'P1810',
    'P1814',
    'P1815',
    'P1820',
    'P1824',
    'P1836',
    'P1845',
    'P1921',
    'P1931',
    'P1932',
    'P1942',
    'P1945',
    'P1987',
    'P1993',
    'P1998',
    'P2001',
    'P2009',
    'P2010',
    'P2017',
    'P2093',
    'P2125',
    'P2126',
    'P2179',
    'P2183',
    'P2258',
    'P2259',
    'P2263',
    'P2307',
    'P2317',
    'P2322',
    'P2357',
    'P2364',
    'P2410',
    'P2411',
    'P2440',
    'P2490',
    'P2540',
    'P2552',
    'P2572',
    'P2598',
    'P2676',
    'P2677',
    'P2719',
    'P2720',
    'P2744',
    'P2802',
    'P2859',
    'P2893',
    'P2900',
    'P2918',
    'P2979',
    'P3067',
    'P3090',
    'P3228',
    'P3238',
    'P3295',
    'P3303',
    'P3441',
    'P3625',
    'P3721',
    'P3761',
    'P3793',
    'P3878',
    'P3879',
    'P3880',
    'P3903',
    'P3921',
    'P3922',
    'P3970',
    'P3994',
    'P4078',
    'P4091',
    'P4092',
    'P4152',
    'P4187',
    'P4188',
    'P4189',
    'P4196',
    'P4213',
    'P4225',
    'P4243',
    'P4316',
    'P4325',
    'P4354',
    'P4496',
    'P4506',
    'P4565',
    'P4573',
    'P4575',
    'P4595',
    'P4633',
    'P4654',
    'P4775',
    'P4776',
    'P4837',
    'P4856',
    'P4863',
    'P4864',
    'P4867',
    'P4914',
    'P4951',
    'P4970',
    'P4998',
    'P5046',
    'P5139',
    'P5276',
    'P5279',
    'P5286',
    'P5412',
    'P5423',
    'P5461',
    'P5471',
    'P5518',
    'P5519',
    'P5625',
    'P5692',
    'P5703',
    'P5778',
    'P5798',
    'P5810',
    'P5825',
    'P5878',
    'P5901',
    'P5910',
    'P5949',
    'P5994',
    'P5997',
    'P6280',
    'P6424',
    'P6507',
    'P6529',
    'P6586',
    'P6592',
    'P6648',
    'P6709',
    'P6733',
    'P6793',
    'P6798',
    'P7069',
    'P7126',
    'P7141',
    'P7250',
    'P7290',
    'P7315',
    'P7330',
    'P7338',
    'P7380',
    'P7383',
    'P7416',
    'P7421',
    'P7470',
    'P7478',
    'P7532',
    'P7581',
    'P7605',
    'P7793',
    'P7855',
    'P7964',
    'P8000',
    'P8009',
    'P8046',
    'P8054',
    'P8112',
    'P8183',
    'P8206',
    'P8264',
    'P8276',
    'P8283',
    'P8359',
    'P8360',
    'P8361',
    'P8362',
    'P8404',
    'P8460',
    'P8470',
    'P8498',
    'P8533',
    'P8550',
    'P4045',
    'P4150',
    'P4179',
    'P4669',
    'P8204',
    'P8265',
    'P569',
    'P570',
    'P571',
    'P574',
    'P575',
    'P576',
    'P577',
    'P578',
    'P580',
    'P582',
    'P585',
    'P606',
    'P619',
    'P620',
    'P621',
    'P622',
    'P729',
    'P730',
    'P746',
    'P813',
    'P1191',
    'P1249',
    'P1317',
    'P1319',
    'P1326',
    'P1619',
    'P1636',
    'P1734',
    'P2031',
    'P2032',
    'P2285',
    'P2310',
    'P2311',
    'P2669',
    'P2754',
    'P2913',
    'P2960',
    'P3893',
    'P3999',
    'P4566',
    'P4602',
    'P5017',
    'P5204',
    'P6949',
    'P7103',
    'P7104',
    'P7124',
    'P7125',
    'P7295',
    'P7588',
    'P7589',
    'P8554',
    'P8555',
    'P8556',
    'P854',
    'P855',
    'P856',
    'P953',
    'P963',
    'P968',
    'P973',
    'P1019',
    'P1065',
    'P1324',
    'P1325',
    'P1348',
    'P1401',
    'P1421',
    'P1482',
    'P1581',
    'P1613',
    'P1628',
    'P1709',
    'P1713',
    'P1896',
    'P1957',
    'P1991',
    'P2078',
    'P2235',
    'P2236',
    'P2488',
    'P2520',
    'P2649',
    'P2699',
    'P2888',
    'P3254',
    'P3268',
    'P3950',
    'P4001',
    'P4238',
    'P4656',
    'P4765',
    'P4945',
    'P4997',
    'P5178',
    'P5195',
    'P5282',
    'P5305',
    'P5715',
    'P6107',
    'P6108',
    'P6269',
    'P6363',
    'P6378',
    'P6500',
    'P6541',
    'P6800',
    'P6818',
    'P7014',
    'P7101',
    'P7213',
    'P7294',
    'P7347',
    'P7375',
    'P7510',
    'P7569',
    'P7705',
    'P7707',
    'P7890',
    'P7930',
    'P8214',
    'P5189',
    'P5193',
    'P5548',
    'P5830',
    'P8017',
    'P8530',
    'P6',
    'P16',
    'P17',
    'P19',
    'P20',
    'P21',
    'P22',
    'P25',
    'P26',
    'P27',
    'P30',
    'P31',
    'P35',
    'P36',
    'P37',
    'P38',
    'P39',
    'P40',
    'P47',
    'P50',
    'P53',
    'P54',
    'P57',
    'P58',
    'P59',
    'P61',
    'P65',
    'P66',
    'P69',
    'P78',
    'P81',
    'P84',
    'P85',
    'P86',
    'P87',
    'P88',
    'P91',
    'P92',
    'P97',
    'P98',
    'P101',
    'P102',
    'P103',
    'P105',
    'P106',
    'P108',
    'P110',
    'P111',
    'P112',
    'P113',
    'P114',
    'P115',
    'P118',
    'P119',
    'P121',
    'P122',
    'P123',
    'P126',
    'P127',
    'P128',
    'P129',
    'P131',
    'P135',
    'P136',
    'P137',
    'P138',
    'P140',
    'P141',
    'P143',
    'P144',
    'P149',
    'P150',
    'P155',
    'P156',
    'P157',
    'P159',
    'P161',
    'P162',
    'P163',
    'P166',
    'P167',
    'P169',
    'P170',
    'P171',
    'P172',
    'P175',
    'P176',
    'P177',
    'P178',
    'P179',
    'P180',
    'P183',
    'P184',
    'P185',
    'P186',
    'P189',
    'P190',
    'P193',
    'P194',
    'P195',
    'P196',
    'P197',
    'P199',
    'P200',
    'P201',
    'P205',
    'P206',
    'P208',
    'P209',
    'P210',
    'P237',
    'P241',
    'P248',
    'P263',
    'P264',
    'P272',
    'P275',
    'P276',
    'P277',
    'P279',
    'P282',
    'P286',
    'P287',
    'P289',
    'P291',
    'P301',
    'P306',
    'P344',
    'P355',
    'P358',
    'P360',
    'P361',
    'P364',
    'P366',
    'P369',
    'P371',
    'P375',
    'P376',
    'P397',
    'P398',
    'P399',
    'P400',
    'P403',
    'P404',
    'P405',
    'P406',
    'P407',
    'P408',
    'P410',
    'P411',
    'P412',
    'P413',
    'P414',
    'P415',
    'P417',
    'P418',
    'P421',
    'P423',
    'P425',
    'P427',
    'P437',
    'P447',
    'P449',
    'P450',
    'P451',
    'P452',
    'P453',
    'P457',
    'P459',
    'P460',
    'P461',
    'P462',
    'P463',
    'P466',
    'P467',
    'P468',
    'P469',
    'P470',
    'P479',
    'P483',
    'P485',
    'P488',
    'P489',
    'P495',
    'P500',
    'P501',
    'P504',
    'P505',
    'P509',
    'P511',
    'P512',
    'P514',
    'P515',
    'P516',
    'P517',
    'P518',
    'P520',
    'P521',
    'P522',
    'P523',
    'P524',
    'P527',
    'P530',
    'P531',
    'P532',
    'P533',
    'P534',
    'P537',
    'P538',
    'P541',
    'P542',
    'P543',
    'P545',
    'P546',
    'P547',
    'P548',
    'P550',
    'P551',
    'P552',
    'P553',
    'P556',
    'P559',
    'P560',
    'P562',
    'P565',
    'P566',
    'P567',
    'P568',
    'P579',
    'P588',
    'P589',
    'P598',
    'P607',
    'P608',
    'P609',
    'P610',
    'P611',
    'P612',
    'P618',
    'P624',
    'P629',
    'P631',
    'P634',
    'P636',
    'P641',
    'P642',
    'P647',
    'P654',
    'P655',
    'P658',
    'P659',
    'P660',
    'P664',
    'P669',
    'P674',
    'P676',
    'P678',
    'P680',
    'P681',
    'P682',
    'P684',
    'P688',
    'P689',
    'P690',
    'P693',
    'P694',
    'P697',
    'P702',
    'P703',
    'P706',
    'P707',
    'P708',
    'P710',
    'P720',
    'P725',
    'P726',
    'P734',
    'P735',
    'P736',
    'P737',
    'P739',
    'P740',
    'P741',
    'P744',
    'P747',
    'P748',
    'P749',
    'P750',
    'P751',
    'P756',
    'P765',
    'P767',
    'P768',
    'P769',
    'P770',
    'P780',
    'P783',
    'P784',
    'P785',
    'P786',
    'P787',
    'P788',
    'P789',
    'P790',
    'P793',
    'P795',
    'P797',
    'P800',
    'P802',
    'P803',
    'P805',
    'P807',
    'P811',
    'P812',
    'P814',
    'P816',
    'P817',
    'P822',
    'P823',
    'P825',
    'P826',
    'P828',
    'P831',
    'P832',
    'P833',
    'P834',
    'P837',
    'P840',
    'P841',
    'P852',
    'P853',
    'P859',
    'P868',
    'P870',
    'P872',
    'P873',
    'P878',
    'P880',
    'P881',
    'P885',
    'P887',
    'P908',
    'P910',
    'P912',
    'P913',
    'P914',
    'P915',
    'P916',
    'P921',
    'P922',
    'P923',
    'P924',
    'P925',
    'P926',
    'P927',
    'P928',
    'P929',
    'P930',
    'P931',
    'P937',
    'P941',
    'P942',
    'P943',
    'P944',
    'P945',
    'P967',
    'P970',
    'P971',
    'P972',
    'P974',
    'P991',
    'P1000',
    'P1001',
    'P1002',
    'P1011',
    'P1012',
    'P1013',
    'P1016',
    'P1018',
    'P1026',
    'P1027',
    'P1028',
    'P1029',
    'P1032',
    'P1033',
    'P1034',
    'P1035',
    'P1037',
    'P1038',
    'P1039',
    'P1040',
    'P1041',
    'P1046',
    'P1049',
    'P1050',
    'P1056',
    'P1057',
    'P1060',
    'P1064',
    'P1066',
    'P1068',
    'P1071',
    'P1072',
    'P1073',
    'P1074',
    'P1075',
    'P1078',
    'P1079',
    'P1080',
    'P1135',
    'P1136',
    'P1137',
    'P1142',
    'P1145',
    'P1151',
    'P1158',
    'P1165',
    'P1170',
    'P1171',
    'P1192',
    'P1194',
    'P1196',
    'P1199',
    'P1200',
    'P1201',
    'P1202',
    'P1204',
    'P1210',
    'P1211',
    'P1221',
    'P1227',
    'P1264',
    'P1268',
    'P1269',
    'P1283',
    'P1290',
    'P1299',
    'P1302',
    'P1303',
    'P1304',
    'P1308',
    'P1310',
    'P1312',
    'P1313',
    'P1318',
    'P1321',
    'P1322',
    'P1327',
    'P1336',
    'P1340',
    'P1343',
    'P1344',
    'P1346',
    'P1347',
    'P1349',
    'P1354',
    'P1363',
    'P1365',
    'P1366',
    'P1372',
    'P1376',
    'P1382',
    'P1383',
    'P1387',
    'P1389',
    'P1393',
    'P1398',
    'P1399',
    'P1403',
    'P1406',
    'P1408',
    'P1411',
    'P1412',
    'P1414',
    'P1416',
    'P1419',
    'P1420',
    'P1423',
    'P1424',
    'P1425',
    'P1427',
    'P1429',
    'P1431',
    'P1433',
    'P1434',
    'P1435',
    'P1437',
    'P1441',
    'P1443',
    'P1444',
    'P1445',
    'P1454',
    'P1455',
    'P1456',
    'P1462',
    'P1464',
    'P1465',
    'P1478',
    'P1479',
    'P1480',
    'P1531',
    'P1532',
    'P1533',
    'P1534',
    'P1535',
    'P1536',
    'P1537',
    'P1542',
    'P1546',
    'P1547',
    'P1552',
    'P1557',
    'P1558',
    'P1560',
    'P1568',
    'P1571',
    'P1574',
    'P1576',
    'P1582',
    'P1589',
    'P1591',
    'P1592',
    'P1593',
    'P1594',
    'P1595',
    'P1596',
    'P1598',
    'P1604',
    'P1605',
    'P1606',
    'P1611',
    'P1620',
    'P1622',
    'P1625',
    'P1629',
    'P1637',
    'P1639',
    'P1640',
    'P1642',
    'P1643',
    'P1652',
    'P1654',
    'P1656',
    'P1657',
    'P1660',
    'P1672',
    'P1677',
    'P1678',
    'P1686',
    'P1703',
    'P1704',
    'P1706',
    'P1716',
    'P1731',
    'P1740',
    'P1750',
    'P1753',
    'P1754',
    'P1774',
    'P1775',
    'P1776',
    'P1777',
    'P1778',
    'P1779',
    'P1780',
    'P1789',
    'P1791',
    'P1792',
    'P1809',
    'P1811',
    'P1817',
    'P1830',
    'P1840',
    'P1851',
    'P1853',
    'P1855',
    'P1875',
    'P1876',
    'P1877',
    'P1878',
    'P1879',
    'P1880',
    'P1881',
    'P1884',
    'P1885',
    'P1887',
    'P1889',
    'P1891',
    'P1897',
    'P1898',
    'P1903',
    'P1906',
    'P1909',
    'P1910',
    'P1911',
    'P1912',
    'P1913',
    'P1914',
    'P1915',
    'P1916',
    'P1917',
    'P1918',
    'P1923',
    'P1924',
    'P1950',
    'P1951',
    'P1956',
    'P1981',
    'P1990',
    'P1995',
    'P1999',
    'P2012',
    'P2033',
    'P2058',
    'P2061',
    'P2079',
    'P2094',
    'P2095',
    'P2098',
    'P2127',
    'P2152',
    'P2155',
    'P2156',
    'P2159',
    'P2175',
    'P2176',
    'P2178',
    'P2184',
    'P2210',
    'P2238',
    'P2239',
    'P2241',
    'P2279',
    'P2283',
    'P2286',
    'P2288',
    'P2289',
    'P2291',
    'P2293',
    'P2302',
    'P2303',
    'P2305',
    'P2308',
    'P2309',
    'P2316',
    'P2318',
    'P2319',
    'P2321',
    'P2329',
    'P2341',
    'P2348',
    'P2352',
    'P2353',
    'P2354',
    'P2358',
    'P2359',
    'P2360',
    'P2361',
    'P2363',
    'P2365',
    'P2366',
    'P2371',
    'P2375',
    'P2376',
    'P2377',
    'P2378',
    'P2379',
    'P2384',
    'P2388',
    'P2389',
    'P2392',
    'P2396',
    'P2408',
    'P2414',
    'P2416',
    'P2417',
    'P2429',
    'P2433',
    'P2438',
    'P2443',
    'P2444',
    'P2445',
    'P2453',
    'P2462',
    'P2499',
    'P2500',
    'P2501',
    'P2502',
    'P2505',
    'P2507',
    'P2512',
    'P2515',
    'P2517',
    'P2522',
    'P2541',
    'P2545',
    'P2546',
    'P2548',
    'P2550',
    'P2551',
    'P2553',
    'P2554',
    'P2560',
    'P2563',
    'P2564',
    'P2567',
    'P2568',
    'P2571',
    'P2575',
    'P2577',
    'P2578',
    'P2579',
    'P2587',
    'P2591',
    'P2596',
    'P2597',
    'P2614',
    'P2629',
    'P2632',
    'P2633',
    'P2634',
    'P2637',
    'P2643',
    'P2647',
    'P2650',
    'P2652',
    'P2667',
    'P2668',
    'P2670',
    'P2673',
    'P2674',
    'P2675',
    'P2679',
    'P2680',
    'P2681',
    'P2682',
    'P2684',
    'P2695',
    'P2700',
    'P2701',
    'P2702',
    'P2715',
    'P2737',
    'P2738',
    'P2739',
    'P2743',
    'P2746',
    'P2747',
    'P2756',
    'P2758',
    'P2770',
    'P2784',
    'P2789',
    'P2813',
    'P2817',
    'P2820',
    'P2821',
    'P2822',
    'P2825',
    'P2827',
    'P2828',
    'P2831',
    'P2838',
    'P2839',
    'P2841',
    'P2842',
    'P2846',
    'P2848',
    'P2849',
    'P2851',
    'P2852',
    'P2853',
    'P2860',
    'P2868',
    'P2869',
    'P2872',
    'P2875',
    'P2876',
    'P2881',
    'P2882',
    'P2894',
    'P2912',
    'P2922',
    'P2925',
    'P2935',
    'P2936',
    'P2937',
    'P2959',
    'P2962',
    'P2964',
    'P2974',
    'P2975',
    'P2976',
    'P2978',
    'P2989',
    'P2992',
    'P3005',
    'P3014',
    'P3015',
    'P3018',
    'P3019',
    'P3022',
    'P3025',
    'P3026',
    'P3027',
    'P3028',
    'P3032',
    'P3033',
    'P3037',
    'P3075',
    'P3080',
    'P3081',
    'P3082',
    'P3085',
    'P3091',
    'P3092',
    'P3093',
    'P3094',
    'P3095',
    'P3096',
    'P3103',
    'P3113',
    'P3137',
    'P3148',
    'P3149',
    'P3150',
    'P3156',
    'P3158',
    'P3161',
    'P3173',
    'P3174',
    'P3179',
    'P3189',
    'P3190',
    'P3195',
    'P3205',
    'P3216',
    'P3259',
    'P3261',
    'P3262',
    'P3263',
    'P3264',
    'P3274',
    'P3275',
    'P3279',
    'P3294',
    'P3300',
    'P3301',
    'P3306',
    'P3310',
    'P3320',
    'P3323',
    'P3335',
    'P3342',
    'P3349',
    'P3354',
    'P3355',
    'P3356',
    'P3357',
    'P3358',
    'P3359',
    'P3364',
    'P3373',
    'P3374',
    'P3402',
    'P3403',
    'P3415',
    'P3416',
    'P3428',
    'P3432',
    'P3433',
    'P3437',
    'P3438',
    'P3440',
    'P3447',
    'P3448',
    'P3450',
    'P3452',
    'P3460',
    'P3461',
    'P3464',
    'P3489',
    'P3490',
    'P3491',
    'P3493',
    'P3494',
    'P3496',
    'P3497',
    'P3501',
    'P3512',
    'P3578',
    'P3592',
    'P3602',
    'P3610',
    'P3643',
    'P3648',
    'P3650',
    'P3679',
    'P3680',
    'P3701',
    'P3709',
    'P3712',
    'P3713',
    'P3716',
    'P3719',
    'P3729',
    'P3730',
    'P3734',
    'P3739',
    'P3741',
    'P3764',
    'P3771',
    'P3772',
    'P3773',
    'P3774',
    'P3775',
    'P3776',
    'P3777',
    'P3778',
    'P3779',
    'P3780',
    'P3781',
    'P3803',
    'P3815',
    'P3816',
    'P3818',
    'P3822',
    'P3823',
    'P3828',
    'P3831',
    'P3833',
    'P3834',
    'P3842',
    'P3858',
    'P3865',
    'P3871',
    'P3876',
    'P3902',
    'P3912',
    'P3919',
    'P3931',
    'P3938',
    'P3966',
    'P3967',
    'P3969',
    'P3975',
    'P3985',
    'P3989',
    'P4000',
    'P4002',
    'P4006',
    'P4032',
    'P4043',
    'P4044',
    'P4070',
    'P4082',
    'P4099',
    'P4100',
    'P4101',
    'P4132',
    'P4147',
    'P4149',
    'P4151',
    'P4185',
    'P4195',
    'P4202',
    'P4220',
    'P4224',
    'P4240',
    'P4241',
    'P4271',
    'P4290',
    'P4292',
    'P4312',
    'P4320',
    'P4321',
    'P4322',
    'P4323',
    'P4324',
    'P4329',
    'P4330',
    'P4345',
    'P4353',
    'P4379',
    'P4387',
    'P4390',
    'P4424',
    'P4425',
    'P4426',
    'P4428',
    'P4437',
    'P4443',
    'P4444',
    'P4446',
    'P4452',
    'P4510',
    'P4543',
    'P4545',
    'P4552',
    'P4584',
    'P4586',
    'P4599',
    'P4600',
    'P4608',
    'P4614',
    'P4622',
    'P4624',
    'P4626',
    'P4628',
    'P4634',
    'P4646',
    'P4647',
    'P4649',
    'P4653',
    'P4661',
    'P4675',
    'P4680',
    'P4688',
    'P4733',
    'P4743',
    'P4745',
    'P4770',
    'P4774',
    'P4777',
    'P4788',
    'P4791',
    'P4792',
    'P4794',
    'P4805',
    'P4809',
    'P4810',
    'P4843',
    'P4844',
    'P4850',
    'P4873',
    'P4875',
    'P4878',
    'P4882',
    'P4884',
    'P4900',
    'P4908',
    'P4913',
    'P4915',
    'P4934',
    'P4952',
    'P4954',
    'P4958',
    'P4967',
    'P4968',
    'P4969',
    'P4988',
    'P5004',
    'P5008',
    'P5009',
    'P5012',
    'P5021',
    'P5023',
    'P5024',
    'P5025',
    'P5026',
    'P5028',
    'P5030',
    'P5040',
    'P5041',
    'P5042',
    'P5051',
    'P5052',
    'P5053',
    'P5054',
    'P5056',
    'P5059',
    'P5070',
    'P5072',
    'P5095',
    'P5096',
    'P5102',
    'P5105',
    'P5109',
    'P5110',
    'P5125',
    'P5126',
    'P5131',
    'P5132',
    'P5133',
    'P5134',
    'P5135',
    'P5136',
    'P5137',
    'P5138',
    'P5150',
    'P5152',
    'P5166',
    'P5185',
    'P5186',
    'P5194',
    'P5196',
    'P5201',
    'P5202',
    'P5203',
    'P5206',
    'P5236',
    'P5237',
    'P5244',
    'P5248',
    'P5249',
    'P5277',
    'P5278',
    'P5280',
    'P5304',
    'P5307',
    'P5314',
    'P5317',
    'P5323',
    'P5326',
    'P5328',
    'P5330',
    'P5353',
    'P5386',
    'P5389',
    'P5422',
    'P5425',
    'P5426',
    'P5438',
    'P5439',
    'P5444',
    'P5446',
    'P5460',
    'P5475',
    'P5514',
    'P5522',
    'P5523',
    'P5537',
    'P5560',
    'P5564',
    'P5572',
    'P5588',
    'P5589',
    'P5591',
    'P5606',
    'P5607',
    'P5623',
    'P5642',
    'P5658',
    'P5707',
    'P5713',
    'P5753',
    'P5769',
    'P5800',
    'P5802',
    'P5804',
    'P5805',
    'P5816',
    'P5817',
    'P5824',
    'P5826',
    'P5828',
    'P5832',
    'P5841',
    'P5852',
    'P5869',
    'P5872',
    'P5873',
    'P5880',
    'P5881',
    'P5886',
    'P5911',
    'P5913',
    'P5923',
    'P5940',
    'P5961',
    'P5967',
    'P5970',
    'P5995',
    'P5996',
    'P5998',
    'P6001',
    'P6022',
    'P6084',
    'P6086',
    'P6087',
    'P6095',
    'P6099',
    'P6104',
    'P6106',
    'P6112',
    'P6116',
    'P6118',
    'P6149',
    'P6153',
    'P6166',
    'P6184',
    'P6185',
    'P6186',
    'P6191',
    'P6193',
    'P6195',
    'P6212',
    'P6216',
    'P6224',
    'P6237',
    'P6241',
    'P6243',
    'P6259',
    'P6271',
    'P6275',
    'P6291',
    'P6338',
    'P6339',
    'P6364',
    'P6365',
    'P6379',
    'P6426',
    'P6437',
    'P6439',
    'P6440',
    'P6452',
    'P6477',
    'P6524',
    'P6530',
    'P6531',
    'P6532',
    'P6533',
    'P6534',
    'P6540',
    'P6563',
    'P6568',
    'P6569',
    'P6587',
    'P6606',
    'P6608',
    'P6657',
    'P6658',
    'P6684',
    'P6718',
    'P6731',
    'P6758',
    'P6803',
    'P6819',
    'P6840',
    'P6855',
    'P6872',
    'P6875',
    'P6884',
    'P6885',
    'P6886',
    'P6887',
    'P6889',
    'P6902',
    'P6938',
    'P6939',
    'P6942',
    'P6948',
    'P6954',
    'P6962',
    'P6977',
    'P6978',
    'P7010',
    'P7045',
    'P7047',
    'P7075',
    'P7078',
    'P7084',
    'P7086',
    'P7087',
    'P7095',
    'P7108',
    'P7122',
    'P7137',
    'P7152',
    'P7153',
    'P7160',
    'P7162',
    'P7163',
    'P7165',
    'P7167',
    'P7169',
    'P7174',
    'P7209',
    'P7228',
    'P7252',
    'P7253',
    'P7261',
    'P7309',
    'P7327',
    'P7367',
    'P7374',
    'P7376',
    'P7377',
    'P7378',
    'P7406',
    'P7419',
    'P7442',
    'P7452',
    'P7469',
    'P7479',
    'P7481',
    'P7482',
    'P7486',
    'P7500',
    'P7501',
    'P7508',
    'P7514',
    'P7528',
    'P7561',
    'P7573',
    'P7582',
    'P7600',
    'P7601',
    'P7603',
    'P7604',
    'P7643',
    'P7719',
    'P7727',
    'P7763',
    'P7767',
    'P7779',
    'P7781',
    'P7782',
    'P7861',
    'P7867',
    'P7888',
    'P7903',
    'P7904',
    'P7936',
    'P7937',
    'P7938',
    'P7959',
    'P7984',
    'P8001',
    'P8004',
    'P8005',
    'P8006',
    'P8026',
    'P8030',
    'P8031',
    'P8032',
    'P8045',
    'P8047',
    'P8058',
    'P8097',
    'P8107',
    'P8111',
    'P8115',
    'P8127',
    'P8131',
    'P8138',
    'P8193',
    'P8194',
    'P8196',
    'P8203',
    'P8225',
    'P8228',
    'P8241',
    'P8258',
    'P8263',
    'P8274',
    'P8289',
    'P8306',
    'P8307',
    'P8308',
    'P8324',
    'P8327',
    'P8329',
    'P8331',
    'P8339',
    'P8345',
    'P8363',
    'P8371',
    'P8395',
    'P8397',
    'P8402',
    'P8403',
    'P8411',
    'P8413',
    'P8423',
    'P8428',
    'P8431',
    'P8450',
    'P8453',
    'P8459',
    'P8464',
    'P8480',
    'P8500',
    'P8503',
    'P8535',
    'P8536',
    'P8546',
    'P5188',
    'P5191',
    'P5192',
    'P5238',
    'P5401',
    'P5402',
    'P5920',
    'P5978',
    'P6254',
    'P6553',
    'P6571',
    'P6712',
    'P7706',
    'P1647',
    'P1659',
    'P1687',
    'P1696',
    'P1963',
    'P2271',
    'P2304',
    'P2306',
    'P2368',
    'P3176',
    'P4155',
    'P6609',
    'P6824',
    'P8379',
    'P8396',
    'P5972',
    'P5973',
    'P5974',
    'P5975',
    'P5976',
    'P5977',
    'P5979',
    'P5980',
    'P6072',
    'P6593',
    'P6719',
    'P7018',
    'P7219',
    'P7220',
    'P7221',
     'P8471']

COMMONS_MEDIA = [
    'P10',
    'P14',
    'P15',
    'P18',
    'P41',
    'P51',
    'P94',
    'P109',
    'P117',
    'P154',
    'P158',
    'P181',
    'P207',
    'P242',
    'P367',
    'P368',
    'P443',
    'P491',
    'P692',
    'P948',
    'P989',
    'P990',
    'P996',
    'P1442',
    'P1543',
    'P1621',
    'P1766',
    'P1801',
    'P1846',
    'P1943',
    'P1944',
    'P2343',
    'P2425',
    'P2713',
    'P2716',
    'P2910',
    'P2919',
    'P3030',
    'P3311',
    'P3383',
    'P3451',
    'P4004',
    'P4291',
    'P4640',
    'P4896',
    'P5252',
    'P5555',
    'P5775',
    'P5962',
    'P6655',
    'P6685',
    'P6802',
    'P7009',
    'P7407',
    'P7415',
    'P7417',
    'P7418',
    'P7420',
    'P7457',
    'P8195',
    'P8224',
    'P8505',
    'P8512',
    'P8517']
